## syslog-ng 3.7.3

=== debian/changelog ===
syslog-ng (3.7.3-1) unstable; urgency=low

  * New upstream release (Closes: #802888, #794585, #804667).
  * Adapt to upstream changes handling PYSETUP_OPTIONS.
  * I do not know how that files appeared there, but now definitively not
    there.  (Closes: #801546)
  * Check if we handled everything installed by the upstream installer.

 -- SZALAY Attila <sasa@debian.org>  Sat, 16 Jul 2016 09:55:58 +0200

syslog-ng (3.7.1-3) experimental; urgency=medium

  * [d340beb] Re-add debian directory cleanup.
    For some reason neither in the quilt format will the upstream files
    removed from the debian directory. So we should do it by hand.

 -- SZALAY Attila <sasa@debian.org>  Thu, 08 Oct 2015 21:51:09 +0200

syslog-ng (3.7.1-2) experimental; urgency=medium

  * [bec27e5] Removed get-orig-source target.
    The git tree should contains the whole module and not just the
    debian directory. therefore I added it and as a consequence
    this target is obsoleted.
  * [f11f92a] Remove README.markdown.
    This file is violate the quilt package
    policy
  * [4bd2761] debian/rules: Switched to autoreconf from autogen.sh
  * [e367348] Fixed autoreconf and automake running
  * [9b38bc4] debian/control: Added needed dependency for testing
  * [b8398e1] debian/control: Temporally remove syslog-ng-amqp

 -- SZALAY Attila <sasa@debian.org>  Sat, 03 Oct 2015 18:31:11 +0200

syslog-ng (3.7.1-1) experimental; urgency=medium

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * New upstream release.
  * Transition to libsystemd-dev (Closes: #779765).
  * Add a libriemann-client-dev (>= 1.6.0~) build-dependency (instead of
    an unversioned one), because upstream needs the new version.
  * Add python-dev, pep8 and pylint to build-depends, to be able to build
    the python module.
  * Explicitly disable Java for now.
  * debian/watch updated to pull releases from GitHub.
  * Updated the syslog-ng-core contents, to include new core modules.
  * Updated the syslog-ng-mod-geoip contents, the module has been renamed.
  * Added a new syslog-ng-mod-python package.
  * Use dh-exec to install tty10.conf, instead of doing a crazy dance in
    debian/rules.

 -- Gergely Nagy <algernon@madhouse-project.org>  Wed, 09 Sep 2015 16:44:34 +0200

syslog-ng (3.6.1+git20141206-g4d90138-4) experimental; urgency=medium

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Run the test suite with VERBOSE=1, so we see the actual test results.
  * Add a Replaces: to syslog-ng-mod-journal, for smooth upgrades.

 -- Gergely Nagy <algernon@madhouse-project.org>  Sat, 13 Dec 2014 14:16:59 +0100

syslog-ng (3.6.1+git20141206-g4d90138-3) experimental; urgency=low

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Move the systemd-journal() source to a separate package, which is
    depended on by syslog-ng-core on linux-any. This allows building the
    binaries without gross hacks on all architectures.

 -- Gergely Nagy <algernon@madhouse-project.org>  Sun, 07 Dec 2014 22:26:10 +0100

syslog-ng (3.6.1+git20141206-g4d90138-2) experimental; urgency=low

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Only force systemd on Linux, disable it everywhere else. This should
    allow syslog-ng to build again on non-linux architectures.

 -- Gergely Nagy <algernon@madhouse-project.org>  Sun, 07 Dec 2014 15:39:57 +0100

syslog-ng (3.6.1+git20141206-g4d90138-1) experimental; urgency=low

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * New snapshot release, based on upstream git commit 4d90138.

  * In scl.conf, include scl/*/*.conf, not just plugin.conf, so that all
    SCL plugins are included.
  * Use an updated systemd service file, that does not pull in
    syslog.socket (we're reading directly from the Journal, and do not
    need the forwarding socket).
  * Update the Vcs-* fields in debian/control, packaging was moved to a
    separate repository.

 -- Gergely Nagy <algernon@madhouse-project.org>  Sun, 07 Dec 2014 12:27:51 +0100

syslog-ng (3.6.1-1) experimental; urgency=low

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * New upstream stable release.
    + Uploading to experimental, due to the Jessie freeze.
  * Standards-Version bumped to 3.9.6 (no changes necessary).
  * Homepage changed to www.syslog-ng.org.
  * Updated copyrights in debian/copyright.
  * Dropped the Lintian overrides, they're not needed anymore.
  * Major packaging cleanup:
    + Dropped all triggers, because they're not used anymore (since
      3.5.6-2).
    + Allow parallel building.
    + Enabled the test suite.
    + Greatly simplified the packaging, dropping support for ancient
      distributions like Ubuntu Lucid.
    + Use a virtual package for ABI tracking.
    + Switched the packaging to a git-buildpackage compatible workflow.

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 10 Nov 2014 09:27:55 +0100

syslog-ng (3.6.0~alpha1-1) experimental; urgency=medium

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * New upstream alpha release.

 -- Gergely Nagy <algernon@madhouse-project.org>  Thu, 31 Jul 2014 12:30:12 +0200
